package nlib.col.service.impl;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import egovframework.rte.psl.dataaccess.mapper.Mapper;
import nlib.col.service.CollectionVO;

@Mapper("cartDAO")
public interface CartDAO {
	
	public List<CollectionVO> listCartItems(@Param("mbInfoId") String mbInfoId, @Param("cartTypeCd") String cartTypeCd) throws Exception;
	
	public int changeCartDiv(CollectionVO cartVO) throws Exception;
	
	public int countCartItem(CollectionVO cartVO) throws Exception;
	
	public int insertCartItem(CollectionVO cartVO) throws Exception;
	
	public int deleteCartItems(CollectionVO cartVO) throws Exception;
	
	public int changeCartType(CollectionVO cartVO) throws Exception;
	
	public int countCartItems(@Param("mbInfoId") String mbInfoId, @Param("cartTypeCd") String cartTypeCd) throws Exception;
	
	public int changeCartProcDivCd(CollectionVO cartVO) throws Exception;

}